package _VisualDVM.Visual.Menus.MainMenuBar;
import Visual_DVM_2021.Passes.PassCode;
import _VisualDVM.Global;
import _VisualDVM.Repository.Component.Sapfor.Sapfor;
import _VisualDVM.Visual.Menus.VisualiserMenu;
public class AnalysesMenu extends VisualiserMenu {
    public AnalysesMenu() {
        super("Анализаторы","/icons/Analyses.png" );
        for (PassCode code : Sapfor.getAnalysesCodes())
            add( Global.mainModule.getPass(code).createMenuItem());
        addSeparator();
        add( Global.mainModule.getPass(PassCode.SPF_GetGCovInfo).createMenuItem());
    }
}
